This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 155123 - kernel source compile fails with undefined reference to irq_ctx_init
kernel source compile fails with undefined reference to irq_ctx_init
Status: CLOSED DUPLICATE of bug 126342
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-16 13:27 EDT by Joe Acosta
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 15:52:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2005-04-16 13:27:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
I ran rpmbuild --rebuild --target i586 kernel-2.6.11-1.14_FC3.src.rpm

In my home directory under rpmbuild/BUILD the source was extracted and patches applied.

Since I have an athlon I wanted a kernel compiled for athlon, not i586 / i686.  So after it ran through I have the kernel files in rpmbuild/SOURCE and a spec file. I stopped the build and cleaned out the BUILD directory.

Then use rpmbuild -bp to patch the source and get it extracted.  



Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. extract the source rpm 
2. use rpmbuild -bp --target i586 kernel-2.6.11-1.14_FC3.src.rpm
3. cd rpmbuild/BUILD/kernel-2.6.11/linux-2.6.11
4. make gconfig 
5. select athlon
6. go to the kernel debugging options and DESELECT ALL of them
7. compile
  

Actual Results:  output showed 

arch/i386/kernel/i8259.c: In function `init_IRQ':
arch/i386/kernel/i8259.c:429: warning: implicit declaration of function `irq_ctx_init'

then build failed with:

arch/i386/kernel/built-in.o(.init.text+0x1b43): In function `init_IRQ':
: undefined reference to `irq_ctx_init'
arch/i386/kernel/built-in.o(.init.text+0x1b68): In function `init_IRQ':
: undefined reference to `irq_ctx_init'
make: *** [.tmp_vmlinux1] Error 1arch/i386/kernel/i8259.c: In function `init_IRQ':
arch/i386/kernel/i8259.c:429: warning: implicit declaration of function `irq_ctx_init'


arch/i386/kernel/built-in.o(.init.text+0x1b43): In function `init_IRQ':
: undefined reference to `irq_ctx_init'
arch/i386/kernel/built-in.o(.init.text+0x1b68): In function `init_IRQ':
: undefined reference to `irq_ctx_init'
make: *** [.tmp_vmlinux1] Error 1

Expected Results:  I'm thinking it should have compiled?

Alternately it should have told me what the problem was?  

Or it should have defined one of the two symbols.  



Additional info:

in include/asm/irq.h
irq_ctx_init is only defined if one of the below is defined:

CONFIG_4KSTACKS
CONFIG_XEN

not sure which needs to be defined, I could not find CONFIG_XEN in the .config file.  
CONFIG_4KSTACKS is a kernel debug option, so I don't know why I have to have that set.
Comment 1 Dave Jones 2005-04-16 15:52:58 EDT

*** This bug has been marked as a duplicate of 126342 ***

Note You need to log in before you can comment on or make changes to this bug.